package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestaaRepository;
import com.realnet.basicp1.Entity.Testaa
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class TestaaService {
@Autowired
private TestaaRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Testaa Savedata(Testaa data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testaa save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testaa> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testaa> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testaa> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testaa getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testaa update(Testaa data,Integer id) {
	Testaa old = Repository.findById(id).get();
old.setStudent_name(data.getStudent_name());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

final Testaa test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
